EZCart Docs
ApiV1StoreCustomersMeOrders

List the customer's orders (scoped to shops in the publishable key)

List the customer's orders (scoped to shops in the publishable key).

GET
/v1/store/customers/me/orders

Query Parameters

page?number
Range1 <= value
limit?number
Range1 <= value <= 50

Response Body

application/json

curl -X GET "https://api-pub.ezcart.io/v1/store/customers/me/orders"
{
  "data": [
    {
      "id": "string",
      "orderNumber": "string",
      "status": "string",
      "paymentStatus": {},
      "paymentMethod": {},
      "subtotal": 0,
      "discountTotal": 0,
      "shippingFee": 0,
      "codFee": 0,
      "totalPrice": 0,
      "amountPaid": 0,
      "trackingNumber": {},
      "customerNotes": {},
      "items": [
        {
          "id": "string",
          "quantity": 0,
          "price": 0,
          "productVariant": {}
        }
      ],
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ],
  "total": 0,
  "page": 0,
  "limit": 0,
  "totalPages": 0
}